Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.sandesha2.util
Class SequenceManager

    java.lang.Object
      org.apache.sandesha2.util.SequenceManager

    public class SequenceManager

extends java.lang.Object

This is used to set up a new sequence, both at the sending side and the receiving side.

Constructor Summary
`SequenceManager()`

Method Summary
`static void` | `finalizeTimedOutSequence(java.lang.String internalSequenceID, org.apache.axis2.context.MessageContext messageContext, StorageManager storageManager)`
`static java.lang.String` | `getSpecVersion(org.apache.axis2.context.MessageContext applicationMessage, StorageManager storageManager)`
`static boolean` | `hasSequenceTimedOut(RMSBean rmsBean, java.lang.String internalSequenceId, StorageManager storageManager)`
`void` | `removeSequence(java.lang.String sequence)`
`static RMSBean` | `setupNewClientSequence(org.apache.axis2.context.MessageContext firstAplicationMsgCtx, java.lang.String internalSequenceId, StorageManager storageManager)`
`static RMDBean` | `setupNewSequence(RMMsgContext createSequenceMsg, StorageManager storageManager, SecurityManager securityManager, SecurityToken token)` Set up a new inbound sequence, triggered by the arrival of a create sequence message.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SequenceManager

    public SequenceManager()

Method Detail

### setupNewSequence

    public static RMDBean setupNewSequence(RMMsgContext createSequenceMsg,
                                           StorageManager storageManager,
                                           SecurityManager securityManager,
                                           SecurityToken token)
                                    throws org.apache.axis2.AxisFault

  Set up a new inbound sequence, triggered by the arrival of a create sequence message. As this is an inbound sequence, the sequencePropertyKey is the sequenceId.

  Throws:
    `org.apache.axis2.AxisFault`

### removeSequence

    public void removeSequence(java.lang.String sequence)

### setupNewClientSequence

    public static RMSBean setupNewClientSequence(org.apache.axis2.context.MessageContext firstAplicationMsgCtx,
                                                 java.lang.String internalSequenceId,
                                                 StorageManager storageManager)
                                          throws SandeshaException

  Throws:
    `SandeshaException`

### hasSequenceTimedOut

    public static boolean hasSequenceTimedOut(RMSBean rmsBean,
                                              java.lang.String internalSequenceId,
                                              StorageManager storageManager)
                                       throws SandeshaException

  Throws:
    `SandeshaException`

### finalizeTimedOutSequence

    public static void finalizeTimedOutSequence(java.lang.String internalSequenceID,
                                                org.apache.axis2.context.MessageContext messageContext,
                                                StorageManager storageManager)
                                         throws SandeshaException

  Throws:
    `SandeshaException`

### getSpecVersion

    public static java.lang.String getSpecVersion(org.apache.axis2.context.MessageContext applicationMessage,
                                                  StorageManager storageManager)
                                           throws SandeshaException

  Throws:
    `SandeshaException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Apache Web Services Project. All Rights Reserved.